Subject: Re: bug#12936: 24.2; Setting 'jit-lock-defer-time' to number prevent some new buffers from automatic fontification.

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Nov 2012 14:55:54 -0500

> For example: "M-x compile make RET" and *compilation* buffer fontified
> only if I press some key after RET. Same with "M-x grep RET" and in
> another cases.
> I can't find case when this happen in current buffer (only in buffer
> in other window).

I'd guess it also misbehaves if you use `g' in the compile buffer (in
which case the output is placed in the current-buffer), because IIUC the
problem is that idle-timers (such as used by jit-lock-defer) are not
restarted after running process-filters.

While we should fix this bug, we should also fix the performance problem
that caused you to set jit-lock-defer-time (so please, report this
problem via M-x report-emacs-bug).

        Stefan